List findings in a repository.
Access control rules
- The requester must have access to the repository.
- Reviewers have access to the finding they and their team made.
After live (during judging, escalations and when the repo is completed)
the reviewers have access to all findings, if
show_all_findingsis set to true for the repository. - Clients, judges, triagers and admins have access to all findings.
Documentation Index
Fetch the complete documentation index at: https://docs.cantina.xyz/llms.txt
Use this file to discover all available pages before exploring further.
Path Parameters
Query Parameters
Maximum number of findings to return.
Defaults to 20, limited to 100.
x >= 0What ordering to apply, defaults to ordering by number. Ordering of findings to use.
number_desc, number_asc, status_asc, status_desc, severity_asc, severity_desc, reputation_asc, reputation_desc, username_asc, username_desc, created_at_asc, created_at_desc, last_updated_at_asc, last_updated_at_desc, reward_asc, reward_desc, last_comment_desc, last_comment_asc Pagination value.
When this route is first used it returns a next_value, when set as the
next value it will return the next set of items, implementing
pagination.
Notes
All the same filtering options (i.e. path and status) MUST be used
between requests, otherwise findings might be skipped and/or returned
twice (in two different requests).
If this is false, the related_files field will be empty.
Defaults to true.
Filter findings by unread comments presence.
If set to true, only return findings with unread comments. If set to false, only return findings without unread comments. If not set, return all findings regardless of unread comments status.
Limit findings related to a specific file.
Limits the findings to the findings with one of the statuses in this array. If this is not set it will return all findings regardless of their status.
Format is a comma separated list, e.g. new,confirmed.
Status of a [Finding].
Note that the in_review status is only applicable within bounties.
new, in_review, disputed, rejected, spam, duplicate, confirmed, acknowledged, fixed, withdrawn Whether or not to include duplicates.
If set to true duplicate findings are returned. If set to false only unique findings and root findings (findings of which other findings are marked as a duplicate) are returned.
Defaults to true, i.e. returning all findings (duplicates included).
Limits the findings to the findings with one of the severity in this array. If this is not set it will return all findings regardless of their severity.
Format is a comma separated list, e.g. high,low.
Severity of a [Finding].
critical, high, medium, low, informational, gas_optimization Filter findings by label name.
If a finding has any of the labels in this list it will be included in
the result, i.e. it's an OR not AND filtering.
This is mutually exclusive with unlabeled.
Format is a comma separated list, e.g. label1,label2.
Filter findings by having none/zero labels, i.e. unlabeled findings.
This is mutually exclusive with label.
Present filter for findings based on a [BaseFindingView].
Note: If additional query parameters are provided alongside filter_for,
they will be combined with the filtering logic using an AND operator.
A predefined filters for findings.
client_recommended, with_duplicates, require_review Filter findings by reviewer username that created it.
If a finding is created by any of the reviewer in this list it will be
included in the result, i.e. it's an OR not AND filtering.
Format is a comma separated list, e.g. reviewer1,reviewer2.
Limit the findings to the ones assigned to the user with the given username.
Search the findings with the given query.
This currently searches the finding number, title and description.
Searching and filtering.
Response
List of findings
List of [Finding]`s.